SexyVoice Docs
EndpointsApiV1Speech

Generate speech audio

POST
/api/v1/speech

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/speech" \  -H "Content-Type: application/json" \  -d '{    "model": "gpro",    "input": "Hello, world!",    "voice": "achernar"  }'
{
  "url": "http://example.com",
  "credits_used": 0,
  "credits_remaining": 0,
  "usage": {
    "input_characters": -9007199254740991,
    "model": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "invalid_request_error",
    "param": "string",
    "code": "string"
  }
}